Skip to main content
POST
Encode Transaction

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

network
enum<string>
required

Cosmos network:

  • `cosmoshub-4` — Cosmos mainnet.
Available options:
cosmoshub-4

Body

application/json
stashAccountAddress
string
required

Delegator account address which keeps tokens.

Pattern: ^cosmos[a-zA-Z0-9]{39}$
encodedBody
string
required

Processable transaction data encoded in the hexadecimal format.

encodedAuthInfo
string
required

Authorization data, including fee, encoded in the hexadecimal format.

signature
string

Signature of the transaction sender.

Response

OK

Standard API success response envelope wrapping the result payload.

error
object | null
required

Error object. Always null on successful responses.

result
object
required

Response payload containing the requested data.